<!DOCTYPE html>
<html>
<head>
<style>
p {
  font-size:16px;
}

div {
  font-size: 3rem;
  border: 1px solid black;
  color: brown;
}

#top-div {
  font-size: 2rem;
  border: 1px solid red;
  color:green;
}
</style>
</head>
<body>

<p>The font-size of this document is 16px.</p>

<div id="top-div">
The font-size of this div element is 2rem, which translates to 2 x the browser's font size.
<div>The font-size of this div element is 3rem. It also shows that it does not inherit from its parent element font size.</div>
</div>

<p>The rem unit sets the font-size relative to the browsers base font-size, and will not inherit from its parents.</p>

</body>
</html>
